GrailsCli.ProjectContextImpl (Grails 6.0.0)

Package: org.grails.cli

## [Groovy] Class GrailsCli.ProjectContextImpl

- org.grails.cli.GrailsCli.ProjectContextImpl

- All Implemented Interfaces and Traits:
    ProjectContext

      @groovy.transform.Canonical
      private static class GrailsCli.ProjectContextImpl
      extends java.lang.Object
      implements ProjectContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.io.File` | `baseDir` |
    `private GrailsConsole` | `console` |
    `private CodeGenConfig` | `grailsConfig` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.io.File` | `baseDir`
    `GrailsConsole` | `console`
    `CodeGenConfig` | `grailsConfig`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsCli.ProjectContextImpl ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `ConfigMap` | `getConfig()`
    `` | `java.lang.String` | `navigateConfig(java.lang.String[] path)`
    `<T>` | `T` | `navigateConfigForType(java.lang.Class<T> requiredType, java.lang.String[] path)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.io.File baseDir

    - #### private GrailsConsole console

    - #### private CodeGenConfig grailsConfig

  - ### Property Detail

    - #### java.io.File baseDir

    - #### GrailsConsole console

    - #### CodeGenConfig grailsConfig

  - ### Constructor Detail

    - #### GrailsCli.ProjectContextImpl()

  - ### Method Detail

    - #### @java.lang.Override ConfigMap getConfig()

    - #### @java.lang.Override java.lang.String navigateConfig(java.lang.String[] path)

    - #### <T> @java.lang.Override T navigateConfigForType(java.lang.Class<T> requiredType, java.lang.String[] path)